Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2048270 - Review Request: tilibs - Texas Instruments calculators interface libraries
Summary: Review Request: tilibs - Texas Instruments calculators interface libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2044700
Blocks: 2048271
TreeView+ depends on / blocked
 
Reported: 2022-01-30 18:08 UTC by Davide Cavalca
Modified: 2022-02-14 01:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-02 04:00:29 UTC
Type: ---
Embargoed:
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2022-01-30 18:08:44 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/tilibs/tilibs.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/tilibs/tilibs-1.19-1.20220130git3447f6e.fc36.src.rpm

Description:
Set of libraries to interface with Texas Instruments calculators.

Fedora Account System Username: dcavalca

Comment 1 Michel Lind 2022-01-31 04:41:46 UTC
You probably want to have libticables Requires: systemd-udevd as long as you're carrying the udev rule. It happens to be there by default because dracut requires it, but other packages that drop in udev rules do require this, e.g. on my Workstation install:

❯ rpm -q --whatrequires systemd-udev
python3-blivet-3.4.2-1.fc35.noarch
dracut-055-6.fc35.aarch64
libguestfs-appliance-1.46.2-1.fc35.aarch64
sane-backends-1.1.1-2.fc35.aarch64

But that can be fixed on import, apart from that, it's good (minus forgemeta not using the new-style snapshot version). APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "GNU General Public License", "GNU General Public License v2.0 or
     later", "GNU Library General Public License v2 or later", "GNU Library
     General Public License v2 or later [obsolete FSF postal address
     (Temple Place)]", "*No copyright* [generated file]". 389 files have
     unknown license. Detailed output of licensecheck in
     /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilibs-1.19-1.20220130git3447f6e.fc36/review-
     tilibs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev/rules.d,
     /usr/lib/udev
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 194560 bytes in 16 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tilibs-
     devel , libticables , libticalcs , libticonv , libtifiles
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (debuginfo)
-------------------
Cannot parse rpmlint output:



Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/debrouxl/tilibs/archive/3447f6e786b377f2eb5c40cc840024098633a9e0/tilibs-3447f6e786b377f2eb5c40cc840024098633a9e0.tar.gz :
  CHECKSUM(SHA256) this package     : d9bed9a7101f227eac0d72f9672f928ecfe1a1d3458207e3c774cb0084ca8610
  CHECKSUM(SHA256) upstream package : d9bed9a7101f227eac0d72f9672f928ecfe1a1d3458207e3c774cb0084ca8610


Requires
--------
tilibs-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    glib2-devel
    libarchive-devel
    libticables(aarch-64)
    libticables2.so.8.0.0()(64bit)
    libticalcs(aarch-64)
    libticalcs2.so.13.0.0()(64bit)
    libticonv(aarch-64)
    libticonv.so.9.4.0()(64bit)
    libtifiles(aarch-64)
    libtifiles2.so.11.2.0()(64bit)
    libusb-devel
    pkgconfig(glib-2.0)
    pkgconfig(libarchive)
    pkgconfig(libusb-1.0)
    pkgconfig(ticables2)
    pkgconfig(ticonv)
    pkgconfig(tifiles2)
    zlib-devel

libticables (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)

libticables-doc (rpmlib, GLIBC filtered):

libticalcs (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libticables2.so.8.0.0()(64bit)
    libticonv.so.9.4.0()(64bit)
    libtifiles2.so.11.2.0()(64bit)
    rtld(GNU_HASH)

libticalcs-doc (rpmlib, GLIBC filtered):

libticonv (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    rtld(GNU_HASH)

libticonv-doc (rpmlib, GLIBC filtered):

libtifiles (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libarchive.so.13()(64bit)
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libticonv.so.9.4.0()(64bit)
    rtld(GNU_HASH)

libtifiles-doc (rpmlib, GLIBC filtered):

tilibs-debuginfo (rpmlib, GLIBC filtered):

tilibs-debugsource (rpmlib, GLIBC filtered):



Provides
--------
tilibs-devel:
    libticables-devel
    libticables2-devel
    libticalcs-devel
    libticalcs2-devel
    libticonv-devel
    libtifiles-devel
    libtifiles2-devel
    pkgconfig(ticables2)
    pkgconfig(ticalcs2)
    pkgconfig(ticonv)
    pkgconfig(tifiles2)
    tilibs-devel
    tilibs-devel(aarch-64)

libticables:
    libticables
    libticables(aarch-64)
    libticables2
    libticables2.so.8.0.0()(64bit)

libticables-doc:
    libticables-doc
    libticables2-doc

libticalcs:
    libticalcs
    libticalcs(aarch-64)
    libticalcs2
    libticalcs2.so.13.0.0()(64bit)

libticalcs-doc:
    libticalcs-doc
    libticalcs2-doc

libticonv:
    libticonv
    libticonv(aarch-64)
    libticonv.so.9.4.0()(64bit)

libticonv-doc:
    libticonv-doc

libtifiles:
    libtifiles
    libtifiles(aarch-64)
    libtifiles2
    libtifiles2.so.11.2.0()(64bit)

libtifiles-doc:
    libtifiles-doc
    libtifiles2-doc

tilibs-debuginfo:
    tilibs-debuginfo
    tilibs-debuginfo(aarch-64)

tilibs-debugsource:
    tilibs-debugsource
    tilibs-debugsource(aarch-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -p --name tilibs
Buildroot used: fedora-rawhide-aarch64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Java, Perl, fonts, R, PHP, SugarActivity, Haskell, Python, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Davide Cavalca 2022-01-31 04:48:23 UTC
Thanks!

$ fedpkg request-repo tilibs 2048270
https://pagure.io/releng/fedora-scm-requests/issue/41585

Comment 3 Gwyn Ciesla 2022-01-31 18:33:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/tilibs

Comment 4 Fedora Update System 2022-02-02 03:57:44 UTC
FEDORA-2022-6f51710e48 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6f51710e48

Comment 5 Fedora Update System 2022-02-02 04:00:29 UTC
FEDORA-2022-6f51710e48 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-02-04 15:09:52 UTC
FEDORA-EPEL-2022-269605ed97 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-269605ed97

Comment 7 Fedora Update System 2022-02-04 15:10:09 UTC
FEDORA-EPEL-2022-e65f189fba has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e65f189fba

Comment 8 Fedora Update System 2022-02-04 15:10:18 UTC
FEDORA-2022-06f4a03773 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-06f4a03773

Comment 9 Fedora Update System 2022-02-04 15:10:26 UTC
FEDORA-2022-a875475190 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a875475190

Comment 10 Fedora Update System 2022-02-05 00:23:49 UTC
FEDORA-EPEL-2022-e65f189fba has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e65f189fba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-02-05 00:33:38 UTC
FEDORA-EPEL-2022-269605ed97 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-269605ed97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-02-05 01:31:31 UTC
FEDORA-2022-06f4a03773 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-06f4a03773 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-06f4a03773

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-02-05 02:12:04 UTC
FEDORA-2022-a875475190 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-a875475190 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a875475190

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-02-05 14:32:41 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2dad8bcca4

Comment 15 Fedora Update System 2022-02-06 02:35:57 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2dad8bcca4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-02-13 00:39:50 UTC
FEDORA-EPEL-2022-269605ed97 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-02-13 01:06:28 UTC
FEDORA-2022-06f4a03773 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-02-13 01:14:55 UTC
FEDORA-2022-a875475190 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-02-13 02:25:55 UTC
FEDORA-EPEL-2022-e65f189fba has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-02-14 01:18:16 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.